language: node_js
sudo: false
node_js:
  - "0.12"
  - "iojs-v1"
  - "iojs-v2"
  - "iojs-v3"
  - "4"
  - "5"
env:
  - ANY_PROMISE=
  - ANY_PROMISE=es6-promise
  - ANY_PROMISE=bluebird
  - ANY_PROMISE=rsvp
  - ANY_PROMISE=when
  - ANY_PROMISE=q
